Bug 10015 - Fix/Improve debug options
Fix/Improve debug options
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: AD: LDB/DSDB/SAMDB
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-12 09:13 UTC by Stefan Metzmacher
Modified: 2013-07-29 19:37 UTC (History)
1 user (show)

See Also:


Attachments
Patches for v4-0-test (7.09 KB, patch)
2013-07-12 09:13 UTC, Stefan Metzmacher
abartlet: review+
Details
Patches for v4-1-test (5.70 KB, patch)
2013-07-19 07:47 UTC, Stefan Metzmacher
abartlet: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Metzmacher 2013-07-12 09:13:40 UTC
Created attachment 9042 [details]
Patches for v4-0-test

The options for debugging should match between testparm and 'samba-tool testparm'

testparm/smbd/nmbd/winbindd:

        debug timestamp = Yes
        debug prefix timestamp = No
        debug hires timestamp = Yes
        debug pid = No
        debug uid = No
        debug class = No
        syslog = 1
        syslog only = No

samba-tool testparm/samba:

        debug timestamp = No (eventively Yes)
        debug prefix timestamp = No
        debug hires timestamp = No
        debug pid = No
        debug uid = No
        debug class = No
        syslog = 0
        syslog only = No

It's also bad that ldb debugs tracings at level 5.
We should move that to level 10 and add a debug class 'ldb' for people
who want it at level 5.
Comment 1 Andrew Bartlett 2013-07-12 12:04:27 UTC
Assigning to Karolin for 4.0 and 4.1
Comment 2 Karolin Seeger 2013-07-15 19:02:08 UTC
The patch does not apply to v4-1-test.
I think it's because "[PATCH 1/5] debug: Add debugclass for DNS server" has already been pushed to this branch.
Patches with two reviews should at least apply...
Comment 3 Karolin Seeger 2013-07-15 19:07:02 UTC
Pushed to autobuild-v4-0-test.
Waiting for a version for v4-1-test.
Comment 4 Karolin Seeger 2013-07-18 17:52:54 UTC
Pushed to v4-0-test.
Comment 5 Karolin Seeger 2013-07-18 17:53:21 UTC
Re-assigning to Metze.
Comment 6 Stefan Metzmacher 2013-07-19 07:47:12 UTC
Created attachment 9066 [details]
Patches for v4-1-test

This should apply to v4-1-test
Comment 7 Karolin Seeger 2013-07-24 18:31:26 UTC
(In reply to comment #6)
> Created attachment 9066 [details]
> Patches for v4-1-test
> 
> This should apply to v4-1-test

Thanks!
Pushed to auobuild-v4-1-test.
Comment 8 Karolin Seeger 2013-07-29 19:37:57 UTC
Pushed to v4-1-test.
Closing out bug report.

Thanks!